OpenNMS API 1.2.9

## org.opennms.netmgt.config.dhcpd
Class DhcpdConfiguration

    java.lang.Object
      org.opennms.netmgt.config.dhcpd.DhcpdConfiguration

All Implemented Interfaces:
  java.io.Serializable

public class DhcpdConfiguration
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.lang.String` `_extendedMode`
`private boolean` `_has_port` keeps track of state for field: _port
`private java.lang.String` `_macAddress`
`private java.lang.String` `_myIpAddress`
`private int` `_port`
`private java.lang.String` `_requestIpAddress`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`DhcpdConfiguration()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`java.lang.String` `getExtendedMode()` Returns the value of field 'extendedMode'.
`java.lang.String` `getMacAddress()` Returns the value of field 'macAddress'.
`java.lang.String` `getMyIpAddress()` Returns the value of field 'myIpAddress'.
`int` `getPort()` Returns the value of field 'port'.
`java.lang.String` `getRequestIpAddress()` Returns the value of field 'requestIpAddress'.
`boolean` `hasPort()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setExtendedMode(java.lang.String extendedMode)` Sets the value of field 'extendedMode'.
`void` `setMacAddress(java.lang.String macAddress)` Sets the value of field 'macAddress'.
`void` `setMyIpAddress(java.lang.String myIpAddress)` Sets the value of field 'myIpAddress'.
`void` `setPort(int port)` Sets the value of field 'port'.
`void` `setRequestIpAddress(java.lang.String requestIpAddress)` Sets the value of field 'requestIpAddress'.
`static DhcpdConfiguration` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _port

    private int _port

### _has_port

    private boolean _has_port

  keeps track of state for field: _port

### _macAddress

    private java.lang.String _macAddress

### _myIpAddress

    private java.lang.String _myIpAddress

### _extendedMode

    private java.lang.String _extendedMode

### _requestIpAddress

    private java.lang.String _requestIpAddress

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### DhcpdConfiguration

    public DhcpdConfiguration()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getExtendedMode

    public java.lang.String getExtendedMode()

  Returns the value of field 'extendedMode'.

  Returns:
    the value of field 'extendedMode'.

### getMacAddress

    public java.lang.String getMacAddress()

  Returns the value of field 'macAddress'.

  Returns:
    the value of field 'macAddress'.

### getMyIpAddress

    public java.lang.String getMyIpAddress()

  Returns the value of field 'myIpAddress'.

  Returns:
    the value of field 'myIpAddress'.

### getPort

    public int getPort()

  Returns the value of field 'port'.

  Returns:
    the value of field 'port'.

### getRequestIpAddress

    public java.lang.String getRequestIpAddress()

  Returns the value of field 'requestIpAddress'.

  Returns:
    the value of field 'requestIpAddress'.

### hasPort

    public boolean hasPort()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setExtendedMode

    public void setExtendedMode(java.lang.String extendedMode)

  Sets the value of field 'extendedMode'.

  Parameters:
    `extendedMode` - the value of field 'extendedMode'.

### setMacAddress

    public void setMacAddress(java.lang.String macAddress)

  Sets the value of field 'macAddress'.

  Parameters:
    `macAddress` - the value of field 'macAddress'.

### setMyIpAddress

    public void setMyIpAddress(java.lang.String myIpAddress)

  Sets the value of field 'myIpAddress'.

  Parameters:
    `myIpAddress` - the value of field 'myIpAddress'.

### setPort

    public void setPort(int port)

  Sets the value of field 'port'.

  Parameters:
    `port` - the value of field 'port'.

### setRequestIpAddress

    public void setRequestIpAddress(java.lang.String requestIpAddress)

  Sets the value of field 'requestIpAddress'.

  Parameters:
    `requestIpAddress` - the value of field 'requestIpAddress'

### unmarshal

    public static DhcpdConfiguration unmarshal(java.io.Reader reader)
                                        throws org.exolab.castor.xml.MarshalException,
                                               org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.